Name:           aws-c-compression
Version:        0.2.17
Release:        1%{?dist}
Summary:        C99 implementation of huffman encoding/decoding

License:        Apache-2.0
URL:            https://github.com/awslabs/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          fix-cmake-path.patch

BuildRequires:  aws-c-common-devel
BuildRequires:  cmake
BuildRequires:  gcc

%description
This is a cross-platform C99 implementation of compression
algorithms such as gzip, and huffman encoding/decoding.
Currently only huffman is implemented.

%package devel
Summary:        aws-c-compression development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files and libraries for aws-c-compression

%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%license NOTICE
%doc README.md
%{_libdir}/libaws-c-compression.so.1.0.0

%files devel
%dir %{_includedir}/aws
%dir %{_includedir}/aws/compression
%{_includedir}/aws/compression/*.h
%dir %{_libdir}/cmake/aws-c-compression
%{_libdir}/cmake/aws-c-compression/*.cmake
%dir %{_libdir}/cmake/aws-c-compression/shared
%{_libdir}/cmake/aws-c-compression/shared/*.cmake
%{_libdir}/libaws-c-compression.so

%changelog
* Tue Sep 26 2023 Benson Muite <benson_muite@emailplus.org> 0.2.17-1
- Initial packaging
